﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Camalot.Common.IO {
	public static class FileTypeMapExtensions {
		/// <summary>
		/// Gets the content type of the file info.
		/// </summary>
		/// <param name="fi"></param>
		/// <returns></returns>
		public static String GetContentType( this FileInfo fi ) {
			return FileTypeMap.DefaultFileTypeMap.GetContentType ( fi );
		}
	}
}
