using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Common.Shared.Design {
	[AttributeUsage ( AttributeTargets.Field | AttributeTargets.Property )]
	public class WddxElementAttribute : XmlElementAttribute {
		public WddxElementAttribute ( ) : base() {
			
		}
		public WddxElementAttribute ( string elementName )
			: base ( elementName ) {

		}
		public WddxElementAttribute ( string elementName, Type type )
			: base ( elementName, type ) {

		}
		public WddxElementAttribute ( Type type )
			: base ( type ) {

		}
	}
}
