using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using Common.Shared.Reflection;

namespace Common.Shared.Design {
	public class WddxOrderAttributeComparer : IComparer<MemberInfo>{
		#region IComparer<MemberInfo> Members

		public int Compare ( MemberInfo x, MemberInfo y ) {
			return AttributeUtils.GetWddxOrder ( x ).CompareTo ( AttributeUtils.GetWddxOrder ( y ) );
		}

		#endregion
	}
}
