using System;
using System.Collections.Generic;
using System.Text;

namespace Common.Shared {
	/// <summary>
	/// 
	/// </summary>
	public class ExceptionEventArgs : EventArgs {
		/// <summary>
		/// Initializes a new instance of the <see cref="ExceptionEventArgs"/> class.
		/// </summary>
		/// <param name="ex">The ex.</param>
		public ExceptionEventArgs ( Exception ex ) {
			this.Exception = ex;
		}

		private Exception _ex;

		/// <summary>
		/// Gets or sets the exception.
		/// </summary>
		/// <value>The exception.</value>
		public Exception Exception {
			get { return _ex; }
			private set { _ex = value; }
		}

	}
}
