using System;
using System.Collections.Generic;
using System.Text;
using Common.Shared.IO;
using System.IO;

namespace Common.Shared.Windows.Forms {
  public class DriveFileSystemTreeNode : FolderFileSystemTreeNode {
    LogicalDriveInfo _driveInfo = null;
    public DriveFileSystemTreeNode ( LogicalDriveInfo drive ) : base(drive.RootDirectory) {
      this._driveInfo = drive;
      this.Text = string.Format ( "{0}{1}",drive.Letter,Path.VolumeSeparatorChar );
    }

    public LogicalDriveInfo DriveInfo { get { return this._driveInfo; } }
  }
}
