using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using Common.Shared.Design;

namespace Common.Shared.Xml.Wddx {
	[WddxRoot("var")]
	public class WddxVariable : WddxObject {
		private string _name;

		public WddxVariable ( ) {

		}

		public WddxVariable ( string name ) : this(name,null) {

		}

		public WddxVariable ( string name, WddxDataTypeObject value ) {
			this.Name = name;
			this.Value = value;
		}

		[WddxAttribute("name")]
		public string Name {
			get { return _name; }
			set { _name = value; }
		}

	}
}
