﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;

namespace Camalot.Common.Membership {
	public class DataContext : System.Data.Entity.DbContext {
		public DataContext ( ) : this("CodeFirstMembershipServices") {

		}
		public DataContext ( String nameOrConnectionString ) : base(nameOrConnectionString) {
			System.Data.Entity.Database.SetInitializer ( new DataContextInitializer( ) );
		}

		protected override void OnModelCreating ( DbModelBuilder modelBuilder ) {
			base.OnModelCreating ( modelBuilder );
		}

		public DbSet<User> Users { get; set; }
		public DbSet<Role> Roles { get; set; }

	}
}
