﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Camalot.Common.Membership {
	public class Role {
		[Key]
		public virtual Guid RoleId { get; set; }
		[Required]
		[StringLength ( 255 )]
		public virtual String RoleName { get; set; }
		[StringLength ( 2000 )]
		public virtual String Description { get; set; }
		public virtual ICollection<User> Users { get; set; }
	}
}
