using System;
using System.Collections.Generic;
using System.Text;

namespace Common.Shared.Design {
	[AttributeUsage(AttributeTargets.Class | AttributeTargets.Constructor | AttributeTargets.Field | AttributeTargets.Interface | AttributeTargets.Method |
AttributeTargets.Property | AttributeTargets.Struct )]
	public class JsonObjectAttribute : Attribute {
		private string name;
		public JsonObjectAttribute ( ) {

		}

		public JsonObjectAttribute ( string name ) {
			this.name = name;
		}

		public string Name { get { return this.name; } set { this.name = value; } }
	}
}
