using System;
using System.Collections.Generic;
using System.Text;
using Common.Shared.Design;

namespace Common.Shared.Xml.Wddx {
	[WddxRoot("char")]
	public class WddxChar : WddxObject {
		private double _code;
		public WddxChar ( ) {
			this.Code = 0;
		}

		public WddxChar ( char code ) {
			this.Code = (double)code;
		}

		[WddxAttribute("code")]
		public double Code {
			get { return this._code; }
			set { this._code = value; }
		}

	}
}
