using System;
using System.Collections.Generic;
using System.Text;
using Common.Shared.Design;

namespace Common.Shared.Xml.Wddx {
	[WddxRoot("number")]
	public class WddxNumber : WddxPrimitiveDataTypeObject {
		private double _value = 0;

		public WddxNumber ( ) {

		}

		public WddxNumber ( double value ) {
			this.Value = value;
		}

		[WddxText]
		public new double Value {
			get {
				return this._value;
			}
			set {
				this._value = value;
			}
		}
	}
}
