using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using Common.Shared.Design;

namespace Common.Shared.Xml.Wddx {
	[WddxRoot ( "string" )]
	public class WddxString : WddxPrimitiveDataTypeObject {
		private string _value;

		public WddxString ( ) {

		}

		public WddxString ( string value ) {
			this.Value = value;
		}

		[WddxText]
		public virtual new string Value {
			get {
				return this._value;
			}
			set {
				this._value = value;
			}
		}

	}
}
